package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.FisisNeurologi;
import com.jasamedika.medifirst2000.helper.Caption;

public class FisisPemeriksaanDokterVO extends BaseTransactionVO{
	@ManyToOne
	@JoinColumn(name = "ObjectantrianPasienDiPeriksaFk")
	@NotNull(message = "antrianPasienDiPeriksa tidak boleh kosong")
	private AntrianPasienDiPeriksaVO antrianPasienDiPeriksa;	
	
	@Column(name = "ObjectantrianPasienDiPeriksaFk", insertable = false, updatable = false, nullable = false)
	private String antrianPasienDiPeriksaId;

	@ManyToOne
	@JoinColumn(name = "ObjectneurologiFk")
	@Caption(value="neurologi")
	private FisisNeurologiVO neurologi;

	@Column(name = "ObjectneurologiFk", insertable = false, updatable = false, nullable = true)
	private Integer neurologiId;
	
	@Column(name = "eye", nullable = true, length = 255)
	@Caption(value = "eye")
	private String eye;

	@Column(name = "verbal", nullable = true, length = 255)
	@Caption(value = "verbal")
	private String verbal;

	@Column(name = "motor", nullable = true, length = 255)
	@Caption(value = "motor")
	private String motor;

	@Column(name = "gcs", nullable = true, length = 255)
	@Caption(value = "gcs")
	private String gcs;

	@Column(name = "kelainanNeurologi", nullable = true, length = 255)
	@Caption(value = "kelainanNeurologi")
	private String kelainanNeurologi;

	@ManyToOne
	@JoinColumn(name = "ObjectkulitFk")
	@Caption(value="kulit")
	private FisisKulitVO kulit;

	@Column(name = "ObjectkulitFk", insertable = false, updatable = false, nullable = true)
	private Integer kulitId;

	@Column(name = "deskripsiLainLainKulit", nullable = true, length = 255)
	@Caption(value = "deskripsiLainLainKulit")
	private String deskripsiLainLainKulit;

	@ManyToOne
	@JoinColumn(name = "ObjectkepalaFk")
	@Caption(value="kepala")
	private FisisKepalaVO kepala;

	@Column(name = "ObjectkepalaFk", insertable = false, updatable = false, nullable = true)
	private String kepalaId;

	@Column(name = "deskripsiLainLainKepala", nullable = true, length = 255)
	@Caption(value = "deskripsiLainLainKepala")
	private String deskripsiLainLainKepala;

	@ManyToOne
	@JoinColumn(name = "ObjectmataFk")
	@Caption(value="mata")
	private FisisMataVO mata;

	@Column(name = "ObjectmataFk", insertable = false, updatable = false, nullable = true)
	private Integer mataId;
	
	@Column(name = "deskripsiLainLainMata", nullable = true, length = 255)
	@Caption(value = "deskripsiLainLainMata")
	private String deskripsiLainLainMata;

	@ManyToOne
	@JoinColumn(name = "ObjectthtFk")
	@Caption(value="tht")
	private StatusNormalTidakNormalVO tht;

	@Column(name = "ObjectthtFk", insertable = false, updatable = false, nullable = true)
	private Integer thtId;

	@Column(name = "deskripsiTidakNormalTht", nullable = true, length = 255)
	@Caption(value = "deskripsiTidakNormalTht")
	private String deskripsiTidakNormalTht;

	@ManyToOne
	@JoinColumn(name = "ObjectleherFk")
	@Caption(value="leher")
	private FisisLeherVO leher;

	@Column(name = "ObjectleherFk", insertable = false, updatable = false, nullable = true)
	private Integer leherId;

	@Column(name = "deskripsiPembesaranKgbLeher", nullable = true, length = 255)
	@Caption(value = "deskripsiPembesaranKgbLeher")
	private String deskripsiPembesaranKgbLeher;

	@Column(name = "deskripsiLainLainLeher", nullable = true, length = 255)
	@Caption(value = "deskripsiLainLainLeher")
	private String deskripsiLainLainLeher;

	@ManyToOne
	@JoinColumn(name = "ObjectthoraxFk")
	@Caption(value="thorax")
	private FisisThoraxVO thorax;

	@Column(name = "ObjectthoraxFk", insertable = false, updatable = false, nullable = true)
	private Integer thoraxId;

	@ManyToOne
	@JoinColumn(name = "ObjectjantungFk")
	@Caption(value="jantung")
	private StatusNormalTidakNormalVO jantung;

	@Column(name = "ObjectjantungFk", insertable = false, updatable = false, nullable = true)
	private Integer jantungId;

	@Column(name = "deskripsiLainLainJantung", nullable = true, length = 255)
	@Caption(value = "deskripsiLainLainJantung")
	private String deskripsiLainLainJantung;

	@ManyToOne
	@JoinColumn(name = "ObjectparuFk")
	@Caption(value="paru")
	private FisisParuVO paru;

	@Column(name = "ObjectparuFk", insertable = false, updatable = false, nullable = true)
	private Integer paruId;

	@Column(name = "deskripsiLainLainParu", nullable = true, length = 255)
	@Caption(value = "deskripsiLainLainParu")
	private String deskripsiLainLainParu;

	@ManyToOne
	@JoinColumn(name = "ObjectabdomenFk")
	@Caption(value="abdomen")
	private FisisAbdomenVO abdomen;

	@Column(name = "ObjectabdomenFk", insertable = false, updatable = false, nullable = true)
	private Integer abdomenId;

	@Column(name = "cmBacHeparMembesarAbdomen", nullable = true, length = 255)
	@Caption(value = "cmBacHeparMembesarAbdomen")
	private String cmBacHeparMembesarAbdomen;

	@Column(name = "cmBpxHeparMembesarAbdomen", nullable = true, length = 255)
	@Caption(value = "cmBpxHeparMembesarAbdomen")
	private String cmBpxHeparMembesarAbdomen;

	@Column(name = "deskripsiHeparMembesarAbdomen", nullable = true, length = 255)
	@Caption(value = "deskripsiHeparMembesarAbdomen")
	private String deskripsiHeparMembesarAbdomen;

	@Column(name = "soefnes", nullable = true, length = 255)
	@Caption(value = "soefnes")
	private String soefnes;

	@Column(name = "deskripsiLainLainAbdomen", nullable = true, length = 255)
	@Caption(value = "deskripsiLainLainAbdomen")
	private String deskripsiLainLainAbdomen;

	@ManyToOne
	@JoinColumn(name = "ObjectektremitasFk")
	@Caption(value="ektremitas")
	private FisisEkstremitasVO ektremitas;

	@Column(name = "ObjectektremitasFk", insertable = false, updatable = false, nullable = true)
	private Integer ektremitasId;

	@Column(name = "deskripsiLainLainEktremitas", nullable = true, length = 255)
	@Caption(value = "deskripsiLainLainEktremitas")
	private String deskripsiLainLainEktremitas;

	@ManyToOne
	@JoinColumn(name = "ObjectgenitaliaFk")
	@Caption(value="genitalia")
	private StatusNormalTidakNormalVO genitalia;

	@Column(name = "ObjectgenitaliaFk", insertable = false, updatable = false, nullable = true)
	private Integer genitaliaId;

	@Column(name = "deskripsiTidakNormalGenitalia", nullable = true, length = 255)
	@Caption(value = "deskripsiTidakNormalGenitalia")
	private String deskripsiTidakNormalGenitalia;

	@Column(name = "statusLokalis", nullable = true, length = 255)
	@Caption(value = "statusLokalis")
	private String statusLokalis;

	public FisisKulitVO getKulit() {
		return kulit;
	}

	public void setKulit(FisisKulitVO kulit) {
		this.kulit = kulit;
	}

	public Integer getKulitId() {
		return kulitId;
	}

	public void setKulitId(Integer kulitId) {
		this.kulitId = kulitId;
	}

	public String getDeskripsiLainLainKulit() {
		return deskripsiLainLainKulit;
	}

	public void setDeskripsiLainLainKulit(String deskripsiLainLainKulit) {
		this.deskripsiLainLainKulit = deskripsiLainLainKulit;
	}

	public FisisKepalaVO getKepala() {
		return kepala;
	}

	public void setKepala(FisisKepalaVO kepala) {
		this.kepala = kepala;
	}

	public String getKepalaId() {
		return kepalaId;
	}

	public void setKepalaId(String kepalaId) {
		this.kepalaId = kepalaId;
	}

	public String getDeskripsiLainLainKepala() {
		return deskripsiLainLainKepala;
	}

	public void setDeskripsiLainLainKepala(String deskripsiLainLainKepala) {
		this.deskripsiLainLainKepala = deskripsiLainLainKepala;
	}

	public FisisMataVO getMata() {
		return mata;
	}

	public void setMata(FisisMataVO mata) {
		this.mata = mata;
	}

	public Integer getMataId() {
		return mataId;
	}

	public void setMataId(Integer mataId) {
		this.mataId = mataId;
	}

	public String getDeskripsiLainLainMata() {
		return deskripsiLainLainMata;
	}

	public void setDeskripsiLainLainMata(String deskripsiLainLainMata) {
		this.deskripsiLainLainMata = deskripsiLainLainMata;
	}

	public StatusNormalTidakNormalVO getTht() {
		return tht;
	}

	public void setTht(StatusNormalTidakNormalVO tht) {
		this.tht = tht;
	}

	public Integer getThtId() {
		return thtId;
	}

	public void setThtId(Integer thtId) {
		this.thtId = thtId;
	}

	public String getDeskripsiTidakNormalTht() {
		return deskripsiTidakNormalTht;
	}

	public void setDeskripsiTidakNormalTht(String deskripsiTidakNormalTht) {
		this.deskripsiTidakNormalTht = deskripsiTidakNormalTht;
	}

	public FisisLeherVO getLeher() {
		return leher;
	}

	public void setLeher(FisisLeherVO leher) {
		this.leher = leher;
	}

	public Integer getLeherId() {
		return leherId;
	}

	public void setLeherId(Integer leherId) {
		this.leherId = leherId;
	}

	public String getDeskripsiPembesaranKgbLeher() {
		return deskripsiPembesaranKgbLeher;
	}

	public void setDeskripsiPembesaranKgbLeher(String deskripsiPembesaranKgbLeher) {
		this.deskripsiPembesaranKgbLeher = deskripsiPembesaranKgbLeher;
	}

	public String getDeskripsiLainLainLeher() {
		return deskripsiLainLainLeher;
	}

	public void setDeskripsiLainLainLeher(String deskripsiLainLainLeher) {
		this.deskripsiLainLainLeher = deskripsiLainLainLeher;
	}

	public FisisThoraxVO getThorax() {
		return thorax;
	}

	public void setThorax(FisisThoraxVO thorax) {
		this.thorax = thorax;
	}

	public Integer getThoraxId() {
		return thoraxId;
	}

	public void setThoraxId(Integer thoraxId) {
		this.thoraxId = thoraxId;
	}

	public StatusNormalTidakNormalVO getJantung() {
		return jantung;
	}

	public void setJantung(StatusNormalTidakNormalVO jantung) {
		this.jantung = jantung;
	}

	public Integer getJantungId() {
		return jantungId;
	}

	public void setJantungId(Integer jantungId) {
		this.jantungId = jantungId;
	}

	public String getDeskripsiLainLainJantung() {
		return deskripsiLainLainJantung;
	}

	public void setDeskripsiLainLainJantung(String deskripsiLainLainJantung) {
		this.deskripsiLainLainJantung = deskripsiLainLainJantung;
	}

	public FisisParuVO getParu() {
		return paru;
	}

	public void setParu(FisisParuVO paru) {
		this.paru = paru;
	}

	public Integer getParuId() {
		return paruId;
	}

	public void setParuId(Integer paruId) {
		this.paruId = paruId;
	}

	public String getDeskripsiLainLainParu() {
		return deskripsiLainLainParu;
	}

	public void setDeskripsiLainLainParu(String deskripsiLainLainParu) {
		this.deskripsiLainLainParu = deskripsiLainLainParu;
	}

	public FisisAbdomenVO getAbdomen() {
		return abdomen;
	}

	public void setAbdomen(FisisAbdomenVO abdomen) {
		this.abdomen = abdomen;
	}

	public Integer getAbdomenId() {
		return abdomenId;
	}

	public void setAbdomenId(Integer abdomenId) {
		this.abdomenId = abdomenId;
	}

	public String getCmBacHeparMembesarAbdomen() {
		return cmBacHeparMembesarAbdomen;
	}

	public void setCmBacHeparMembesarAbdomen(String cmBacHeparMembesarAbdomen) {
		this.cmBacHeparMembesarAbdomen = cmBacHeparMembesarAbdomen;
	}

	public String getCmBpxHeparMembesarAbdomen() {
		return cmBpxHeparMembesarAbdomen;
	}

	public void setCmBpxHeparMembesarAbdomen(String cmBpxHeparMembesarAbdomen) {
		this.cmBpxHeparMembesarAbdomen = cmBpxHeparMembesarAbdomen;
	}

	public String getDeskripsiHeparMembesarAbdomen() {
		return deskripsiHeparMembesarAbdomen;
	}

	public void setDeskripsiHeparMembesarAbdomen(String deskripsiHeparMembesarAbdomen) {
		this.deskripsiHeparMembesarAbdomen = deskripsiHeparMembesarAbdomen;
	}

	public String getSoefnes() {
		return soefnes;
	}

	public void setSoefnes(String soefnes) {
		this.soefnes = soefnes;
	}

	public String getDeskripsiLainLainAbdomen() {
		return deskripsiLainLainAbdomen;
	}

	public void setDeskripsiLainLainAbdomen(String deskripsiLainLainAbdomen) {
		this.deskripsiLainLainAbdomen = deskripsiLainLainAbdomen;
	}

	public FisisEkstremitasVO getEktremitas() {
		return ektremitas;
	}

	public void setEktremitas(FisisEkstremitasVO ektremitas) {
		this.ektremitas = ektremitas;
	}

	public Integer getEktremitasId() {
		return ektremitasId;
	}

	public void setEktremitasId(Integer ektremitasId) {
		this.ektremitasId = ektremitasId;
	}

	public String getDeskripsiLainLainEktremitas() {
		return deskripsiLainLainEktremitas;
	}

	public void setDeskripsiLainLainEktremitas(String deskripsiLainLainEktremitas) {
		this.deskripsiLainLainEktremitas = deskripsiLainLainEktremitas;
	}

	public StatusNormalTidakNormalVO getGenitalia() {
		return genitalia;
	}

	public void setGenitalia(StatusNormalTidakNormalVO genitalia) {
		this.genitalia = genitalia;
	}

	public Integer getGenitaliaId() {
		return genitaliaId;
	}

	public void setGenitaliaId(Integer genitaliaId) {
		this.genitaliaId = genitaliaId;
	}

	public String getDeskripsiTidakNormalGenitalia() {
		return deskripsiTidakNormalGenitalia;
	}

	public void setDeskripsiTidakNormalGenitalia(String deskripsiTidakNormalGenitalia) {
		this.deskripsiTidakNormalGenitalia = deskripsiTidakNormalGenitalia;
	}

	public String getStatusLokalis() {
		return statusLokalis;
	}

	public void setStatusLokalis(String statusLokalis) {
		this.statusLokalis = statusLokalis;
	}

	public AntrianPasienDiPeriksaVO getAntrianPasienDiPeriksa() {
		return antrianPasienDiPeriksa;
	}

	public void setAntrianPasienDiPeriksa(AntrianPasienDiPeriksaVO antrianPasienDiPeriksa) {
		this.antrianPasienDiPeriksa = antrianPasienDiPeriksa;
	}

	public String getAntrianPasienDiPeriksaId() {
		return antrianPasienDiPeriksaId;
	}

	public void setAntrianPasienDiPeriksaId(String antrianPasienDiPeriksaId) {
		this.antrianPasienDiPeriksaId = antrianPasienDiPeriksaId;
	}
	
}
